package com.jiuqi.util.patterns;

import java.util.Map;

class ConstPattern implements IPattern
{
    private String expression;
    
    public ConstPattern() {
    }
    
    public ConstPattern(final String expression) {
        this.expression = expression;
    }
    
    @Override
    public String toString() {
        return this.expression;
    }
    
    public void add(final IPattern pattern) {
    }
    
    public void add(final int index, final IPattern pattern) {
    }
    
    public void clear() {
    }
    
    public IPattern get(final int index) {
        return null;
    }
    
    public String getExpression() {
        return this.expression;
    }
    
    public int getLength() {
        return (this.expression == null) ? 0 : this.expression.length();
    }
    
    public int getType() {
        return 0;
    }
    
    public int indexOf(final IPattern pattern) {
        return -1;
    }
    
    public void remove(final int index) {
    }
    
    public void setExpression(final String value) {
        this.expression = value;
    }
    
    public void setLength(final int value) {
    }
    
    public int size() {
        return 0;
    }
    
    public int match(final String s, final int start, final Map values) {
        if (s == null) {
            return -1;
        }
        if (this.expression == null) {
            return start;
        }
        for (int i = 0; i < this.expression.length(); ++i) {
            if (start + i >= s.length()) {
                return -1;
            }
            if (this.expression.charAt(i) != s.charAt(start + i)) {
                return -1;
            }
        }
        return start + this.expression.length();
    }
    
    public String replace(final ITranslator translator) {
        return this.expression;
    }
}
